import { useRef } from 'react';
import { randomString } from './utils';
import { UserActionLock } from './user-action-lock';
export const useUserActionLock = (delay = 1000) => {
    //
    const lockKey = useRef(randomString({ length: 16 }));
    //
    const runAction = (func) => {
        if (UserActionLock.lockAutoRelease({
            key: lockKey.current,
            afterDurationMs: delay,
        })) {
            func();
        }
    };
    return runAction;
};
